Bug 237043 - (perl-Hash-Case) Review Request: perl-Hash-Case - Base class for hashes with key-casing requirements
Review Request: perl-Hash-Case - Base class for hashes with key-casing requir...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
http://search.cpan.org/dist/Hash-Case/
:
Depends On:
Blocks: perl-Config-IniHash
  Show dependency treegraph
 
Reported: 2007-04-18 20:56 EDT by Chris Weyl
Modified: 2010-03-09 01:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-19 15:02:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rc040203: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2007-04-18 20:56:58 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-Hash-Case-1.003-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Hash-Case.spec

Description:
Hash::Case is the base class for various classes which tie special
treatment for the casing of keys. Be aware of the differences in
implementation: Lower and Upper are tied native hashes: these hashes have
no need for hidden fields or other assisting data structured. A case
Preserve hash will actually create three hashes.
Comment 1 Ralf Corsepius 2007-04-19 03:05:24 EDT
Nothing much to say about it.

APPROVED
Comment 2 Chris Weyl 2007-04-19 11:12:50 EDT
New Package CVS Request
=======================
Package Name: perl-Hash-Case
Short Description: Base class for hashes with key-casing requirements
Owners: cweyl@alumni.drew.edu
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com
Comment 3 Chris Weyl 2007-04-19 15:02:36 EDT
Thanks for the review, Ralf! :)
Comment 4 Iain Arnell 2010-03-08 23:06:14 EST
as per #569295,

Package Change Request
======================
Package Name: perl-Hash-Case
New Branches: EL-4 EL-5
Owners: iarnell
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2010-03-09 01:00:40 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.